V1PlatformMerchant reviewsIdReview
/v1/platform/merchant-reviews/{id}/review
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/platform/merchant-reviews/497f6eca-6276-4993-bfeb-53cbbbba6f08/review" \ -H "Content-Type: application/json" \ -d '{ "expectedVersion": 1, "actionId": "4a2794ff-94cb-4bac-8d36-d5fb36c563a0", "decision": "approve", "reason": "meets_guidelines" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0", "rating": 1, "text": "string", "author": "Verified customer", "verifiedRedemption": true, "updatedAt": "2019-08-24T14:15:22Z", "claimId": "88057929-7728-4a26-8396-f965dcc8b947", "version": 1, "status": "pending"}